Page 9 of 25 FirstFirst ... 456789101112131419 ... LastLast
Results 161 to 180 of 481
Like Tree4Likes
  1. #161  
    I know this is a stupid question...but what command prompt are you guys using? I used the previous WOQI with Linux command...the first time I ran:

    PmModemUpdater /media/internal/Sprint_60677.tar

    and got this:

    Warning! Please make sure you have a fully charged battery or are connected to an external source before you do your update.
    Warning! You can potentially trash your modem firmware if system loses power in the middle of updating firmware!
    Warning! To abort, press CTRL+C.

    ..but then it just stopped and went back to the regular prompt.

    This time I tried adding the -m...

    ..and it's been sitting for like 4 minutes so far...?
    Psalm 11:6
    Upon the wicked he shall rain snares, fire and brimstone,
    and an horrible tempest: this shall be the portion of their cup.
  2. #162  
    7 minutes...and I'm scared to pull the plug..lol Should I start tearing up yet?
    Psalm 11:6
    Upon the wicked he shall rain snares, fire and brimstone,
    and an horrible tempest: this shall be the portion of their cup.
  3. #163  
    Quote Originally Posted by xBRIMSTON3x View Post
    I know this is a stupid question...but what command prompt are you guys using?
    Assuming you're using Winders:


    • Start --> Run
    • cmd (hit enter)


    Code:
    novacom -t open tty://
    You need the SDK installed, of course.


    M.
  4. #164  
    Quote Originally Posted by Xanadu73 View Post
    Assuming you're using Winders:


    • Start --> Run
    • cmd (hit enter)


    Code:
    novacom -t open tty://
    You need the SDK installed, of course.


    M.
    DUH! Gosh I get so wrapped up in this that I start forgetting the basics...I've been using the WOQI prompt and the terminal app..and internalz...that I forgot all about this...sweet!

    LAst question...how long should this take? almost 10 minutes now and it's still...*thinking*...
    Psalm 11:6
    Upon the wicked he shall rain snares, fire and brimstone,
    and an horrible tempest: this shall be the portion of their cup.
  5. #165  
    Quote Originally Posted by xBRIMSTON3x View Post
    DUH! Gosh I get so wrapped up in this that I start forgetting the basics...I've been using the WOQI prompt and the terminal app..and internalz...that I forgot all about this...sweet!

    LAst question...how long should this take? almost 10 minutes now and it's still...*thinking*...

    An on-device Terminal would be fine to use also, but, none of them for webOS 2.* either work, or are terribly useable. I've never used Jason's built-in terminal in Internalz, so I can't really comment there.

    It only takes about 20 seconds max. It either succeeded, or silently failed. You could check your PRL in Device Info but either way, you should be fine just starting over. No biggie. I'd flash it the more correct way before a reboot though, just in case...


    M.
  6. #166  
    Man I dunno what's going on...I killed WOQI...went to my cmd prompt...etc..

    I first used -m...then I tried -f...but it's been sitting at "$ Creating temp file" for several minutes now...Any idea on why it would get stuck?
    Psalm 11:6
    Upon the wicked he shall rain snares, fire and brimstone,
    and an horrible tempest: this shall be the portion of their cup.
  7. navinag's Avatar
    Posts
    455 Posts
    Global Posts
    489 Global Posts
    #167  
    This worked for me to get a working provisioner on sprint pre- 2.1.0

    update prl on 1.4.5 pre (don't reboot)
    gain root access
    cd /

    tar -czvf /media/internal/prl.tar.gz /var/lib/software

    upgrade to 2.1.0
    from root
    cd /
    tar -zxvf /media/internal/prl.tar.gz
    ipkg install <leaked 2.0.1provisioner file>.ipk -force-depends
    luna-send -n 1 palm://com.palm.systemservice/setPreferences '{"showUpdatePRL":true}'
    reboot

    go into phone preferences and update prl (provisioner should now be working for all future updates
  8. #168  
    Grrrr...I forgot the "<"..

    So it seemed to work, and I ran PmModemUpdater -v, and it says 60677...sweet...rebooting now.
    Psalm 11:6
    Upon the wicked he shall rain snares, fire and brimstone,
    and an horrible tempest: this shall be the portion of their cup.
  9. #169  
    Quote Originally Posted by xBRIMSTON3x View Post
    Grrrr...I forgot the "<"..

    So it seemed to work, and I ran PmModemUpdater -v, and it says 60677...sweet...rebooting now.

    Word!


    M.
  10. #170  
    So is there another way to check the PRL version since the buttons still don't show?

    I saw a post a while back about a provisioner?..and the person then had their buttons show? Otherwise I assume I have to go back to the prompt?

    Edit: I'd like the buttons obviously...but I ran PmModemUpdater -v again and..


    wooohoooo! Success!

    AND I have a connection..lol

    You guys rock. Seriously. It's ridiculous. Even if sprint doesn't get anymore webos devices...we can just keep hacking legacy til we're running with the new dogs. Love it!
    Psalm 11:6
    Upon the wicked he shall rain snares, fire and brimstone,
    and an horrible tempest: this shall be the portion of their cup.
  11. #171  
    Quote Originally Posted by xBRIMSTON3x View Post
    So is there another way to check the PRL version since the buttons still don't show?

    I saw a post a while back about a provisioner?..and the person then had their buttons show? Otherwise I assume I have to go back to the prompt?

    Edit: I'd like the buttons obviously...but I ran PmModemUpdater -v again and..


    wooohoooo! Success!

    AND I have a connection..lol

    You guys rock. Seriously. It's ridiculous. Even if sprint doesn't get anymore webos devices...we can just keep hacking legacy til we're running with the new dogs. Love it!

    "Check your PRL version" as in "Check for an update"? Not really, not yet (outside of using the "funny version" of the 2.0.1 Doctor that was never officially/legally released). I just have been checking Google every week or so. "sprint prl 60677" until one day (Sunday) something came up and I started typing here about it.

    As far as the buttons go, sure you can make them appear, but they won't do anything (again, unless you use the "funny versions" of the behind-the-scenes-things).

    Code:
    luna-send -n 1 palm://com.palm.systemservice/setPreferences '{"showUpdatePRL":true}'
    and

    Code:
    luna-send -n 1 palm://com.palm.systemservice/setPreferences '{"showUpdateNetworkSettings":true}'
    Will make those buttons appear again, but, with anything other then unspeakable, boarding on illegal ways, they won't *do* anything.

    Which brings me to:

    "What about a provisioner?"

    It's the service that runs in the background actually making those buttons work, and going out and grabbing the PRL file and installing it. The only version of it that works on webOS 2.*, has never been officially released (it's a Sprint thing, not a Palm thing). It's in the Funny Version, though.

    I, personally, am trying to get this to work by "normal" means. The best that means, right now, is backing up your old info from 1.4.5 (/var/lib/software), restoring that on webOS2.1, and manually (PmModemUpdater) updating the PRL.


    M.
  12. #172  
    Cool. Well even that went way easier than expect a couple weeks ago when this started...so I'm sure it's only a matter of time til we're back to normal updating...

    ..cuz that's how much faith I have in you guys..hehehe

    Thanks again!
    Psalm 11:6
    Upon the wicked he shall rain snares, fire and brimstone,
    and an horrible tempest: this shall be the portion of their cup.
  13. kuoirad's Avatar
    Posts
    204 Posts
    Global Posts
    340 Global Posts
    #173  
    Quote Originally Posted by Xanadu73 View Post
    I, personally, am trying to get this to work by "normal" means. The best that means, right now, is backing up your old info from 1.4.5 (/var/lib/software), restoring that on webOS2.1, and manually (PmModemUpdater) updating the PRL.
    You may wish to update my procedure for manually installing a backed-up PRL that I put into the webOS 2.0 upgrade wiki page...
  14. #174  
    Quote Originally Posted by navinag View Post
    This worked for me to get a working provisioner on sprint pre- 2.1.0

    update prl on 1.4.5 pre (don't reboot)
    gain root access
    cd /

    tar -czvf /media/internal/prl.tar.gz /var/lib/software

    upgrade to 2.1.0
    from root
    cd /
    tar -zxvf /media/internal/prl.tar.gz
    ipkg install <leaked 2.0.1provisioner file>.ipk -force-depends
    luna-send -n 1 palm://com.palm.systemservice/setPreferences '{"showUpdatePRL":true}'
    reboot

    go into phone preferences and update prl (provisioner should now be working for all future updates
    This is promising if it avoids having to manually update prl. On OS X, can someone pls confirm the process would be:

    "After getting the tar from 1.45 and doctoring to 2.1 and all basic setup/configuration is done)

    Again, connect your phone to your computer via a USB cable
    Do the following (example was done in Terminal on OS X 10.6):

    [dario@guarneri ~]$ novaterm
    root@YourPre:/# rootfs_open -t
    root@YourPre:/# cd /
    root@YourPre:/# tar -zxvf /media/internal/prl.tar.gz
    ipkg install <leaked 2.0.1provisioner file>.ipk -force-depends
    luna-send -n 1 palm://com.palm.systemservice/setPreferences '{"showUpdatePRL":true}'
    root@YourPre:/# exit

    Now reboot your phone to ensure the new PRL takes effect and to "close" (make read-only) your root filesystem. "

    If this is correct, can anyone else pls post their results using these steps and if not correct, can someone please change them?
  15. #175  
    Quote Originally Posted by navinag View Post
    This worked for me to get a working provisioner on sprint pre- 2.1.0

    update prl on 1.4.5 pre (don't reboot)
    gain root access
    cd /

    tar -czvf /media/internal/prl.tar.gz /var/lib/software

    upgrade to 2.1.0
    from root
    cd /
    tar -zxvf /media/internal/prl.tar.gz
    ipkg install <leaked 2.0.1provisioner file>.ipk -force-depends
    luna-send -n 1 palm://com.palm.systemservice/setPreferences '{"showUpdatePRL":true}'
    reboot

    go into phone preferences and update prl (provisioner should now be working for all future updates
    Does this make the update network show too? If not maybe you could post that code too?

    -- Sent from my Palm Pre using Forums
  16. #176  
    Quote Originally Posted by RyanCell View Post
    Does this make the update network show too? If not maybe you could post that code too?

    -- Sent from my Palm Pre using Forums

    I already did, just a few posts up.

    http://forums.precentral.net/2917253-post174.html


    -- Sent with no annoying tag line that like a virus on the forums.


    M.
  17. navinag's Avatar
    Posts
    455 Posts
    Global Posts
    489 Global Posts
    #177  
    luna-send -n 1 palm://com.palm.systemservice/setPreferences '{"showUpdateNetworkSettings":true}'


    This will make the button show up but i have not tested that it actually works. I have no idea if it will kill your network settings. Use at your own risk.
  18. #178  
    Quote Originally Posted by navinag View Post
    luna-send -n 1 palm://com.palm.systemservice/setPreferences '{"showUpdateNetworkSettings":true}'


    This will make the button show up but i have not tested that it actually works. I have no idea if it will kill your network settings. Use at your own risk.
    You still need the provisioner file though, no? If so, where can we find it? I have different versions from when I did the upgrade...so maybe it's in there somewhere?
    Psalm 11:6
    Upon the wicked he shall rain snares, fire and brimstone,
    and an horrible tempest: this shall be the portion of their cup.
  19. #179  
    Per the below, I guess what I was asking in a post before this is, this method below appears to allow you to actually click the button to manual check for prl updates again right? I meant does it also allow the update network button to actually function? If so I'd be ready for the 2.1 jump finally...

    Quote Originally Posted by navinag View Post
    This worked for me to get a working provisioner on sprint pre- 2.1.0

    update prl on 1.4.5 pre (don't reboot)
    gain root access
    cd /

    tar -czvf /media/internal/prl.tar.gz /var/lib/software

    upgrade to 2.1.0
    from root
    cd /
    tar -zxvf /media/internal/prl.tar.gz
    ipkg install <leaked 2.0.1provisioner file>.ipk -force-depends
    luna-send -n 1 palm://com.palm.systemservice/setPreferences '{"showUpdatePRL":true}'
    reboot

    go into phone preferences and update prl (provisioner should now be working for all future updates
  20. #180  
    Quote Originally Posted by RyanCell View Post
    Per the below, I guess what I was asking in a post before this is, this method below appears to allow you to actually click the button to manual check for prl updates again right? I meant does it also allow the update network button to actually function? If so I'd be ready for the 2.1 jump finally...

    Ah. Then I see what you're asking: "Can Sprint detect if you're using the unreleased, and illegally obtained, version of their software on your phone on their Network?"

    That's a very good question. That would depend on how fine-grained their database is, I guess.

    Sprint has not, does not, will not, sell a Pre- with the OS version of 2.*. Do they track that? Doubt it. I'm not sure I can think of a single reason why they would bother. *BUT*, if they do, and said OS version asks their servers for a PRL, then something's fishy since they never released software for that OS version, on that hardware, that could.

    What's the chance of that? I'd say so damn slim that it's not worth worrying about. But do I know for certain? No.


    M.
Page 9 of 25 FirstFirst ... 456789101112131419 ... LastLast

Posting Permissions